---
gitea: none
include_toc: true
---

# Icing – end-to-end-encrypted phone calls without data


Experimental α-stage • Apache-2.0 • Built at Epitech

&#x20;

> **Icing** runs a Noise-XK handshake, Codec2 and 4-FSK modulation over the plain voice channel, so any GSM/VoLTE call can be upgraded to private, authenticated audio - **no servers and no IP stack required.**



---



## 📖 Detailed design

See [`docs/Icing.md`](docs/Icing.md) for protocol goals, threat model, and technical architecture.

## 🔨 Quick start (developer preview, un-protocoled dialer)

```bash
# on an Android phone (Android 12+)
git clone https://git.gmoker.com/icing/monorepo
cd dialer
# Requires Flutter and ADB or a virtual device
flutter run
```

> ⚠️ This is an **alpha prototype**: expect crashes, missing UX, and incomplete FEC.

You can join us in Telegram or Reddit !
https://t.me/icingdialer
https://www.reddit.com/r/IcingDialer/

## ✨ Features (α1 snapshot)

- [DryBox Only] Noise *XK* handshake (X25519, AES-GCM, SHA-256)
- Static keys = Ed25519 (QR share)
- [DryBox Only] Voice path: Codec2 → encrypted bit-stream → 4-FSK → analog channel
- GSM simulation in DryBox for off-device testing

## 🗺️ Project status

| Stage (roadmap)       | Dialer app                 | Protocol           | DryBox            | Docs              |
| --------------------- | -------------------------- | ------------------ | ----------------- | ----------------- |
| **Alpha 1 (Q3-2025)** | 🚧 UI stub, call hook      | Key gestion | ⚠️ Qt demo, Alpha 1 Working | 📝 Draft complete |
| Alpha 2 (Q4-2025)     | 🛠️ Magisk flow | 🔄 Adaptive FEC    | 🔄 Stress tests   | 🔄 Expanded       |
| **Beta 1 (Feb 2026)** | 🎉 Public release          | 🔐 Audit pass      | ✅ CI              | ✅                 |

## 🤝 How to help


- **Crypto researchers** – Poke holes in the protocol draft.
- **Android security hackers** - Review our Kotlin integrations.
- **ROM maintainers** - Let's talk about an integration !

Open an issue or report here [![Give Feedback](https://img.shields.io/badge/Feedback-Form-blue)](https://cryptpad.fr/form/#/2/form/view/Tgm5vQ7aRgR6TKxy8LMJcJ-nu9CVC32IbqYOyOG4iUs/)


## License

Apache License 2.0 - see [`LICENSE`](LICENSE).

---

Made with ☕ by four Epitech students.
