# Icing

An Epitech Innovation Project

*By*
**Bartosz Michalak - Alexis Danlos - Florian Griffon - Stéphane Corbière**

---

## Summary

- [Introduction to Icing](#introducingtoicing)
- [Strategy](#icingsstrategy)
- [Technology choices]()

---

## Introduction to Icing

Icing is the name of our project, which is divided in **three interconnected goals**:
1. Build a mutual-authentication and end-to-end encryption protocol, NAAP, for half and full-duplex audio communication, network agnostic. Network Agnostic Authentication Protocol.
2. Provide a reference implementation in the form of an **Android Package**, that anybody can use to implement the protocol into their application.
3. Provide a reference implementation in the form of an **Android Dialer**, that uses the android package, and that could seamlessly replace any Android user's default dialer.


### Setting a new security standard

#### ***"There is no way to create a backdoor that only the good guys can walk through"***
> (*Meredith Whittaker - President of Signal Fundation - July 2023, Channel 4*)

Enabling strong authentication on the phone network, either cellular or cable, would change the way we use our phone.

Reduced phone-related scams, simplified and safer banking or government services interactions, reduced dependency to the internet, and more, are the benefits both consumers and organizations would enjoy.

Encrypting the data end-to-end increases security globally by a considerable factor, particularly in low-bandwidth / no internet areas, and the added privacy would benefit everyone.


---

### Privacy and security in telecoms should not depend on internet availability.

We are conscious that ourselves, and our surroundings, grew up in Global North, with simple and cheap internet and telecommunication access, but we should not forget that on a global point of view, it is estimated that less than 20% of the world's stepable land is covered with 3G/4G/+ network.
Standard "low-tech" GSM network coverage is almost twice that.

So in a real-world, stressful and harsh condition, affording privacy or security in telecommunication is usually too much of a luxury; and we should change that.

Our solution is for the every-man that is not even aware of its smart phone weakness, as well as for the activists or journalists surviving in hostile environment around the globe.



### Icing's strategy

We focus on FOSS community as a primary target.

Our reference implementation, the Iced dialer, is destined to replace any stock dialer app from any android smartphone.

Alternative open-source and privacy-focused Android distributions, such as GrapheneOS, are major targets.

Their community are thriving, and could help our open-source development.

---

### Technology choices

We chose to code with Flutter, the Dart framework.
Even though this choice gives us quick-delivery capabilities, we will need to switch language for lower levels development, such as sound stream caption, encryption, compression, encoding, and transmission.

The language for these manoeuvres is not determined yet, but Go, Rust, Kotlin and Java are good candidates.

