# Context

## Glossary

- DryBox: Our python test environment, simulating a call Initiator and Responder using the protocol through a controlled cellular network.
- Root-app: A version of the application only installable on rooted Android devices.
- AOSP-app: A version of the application imbedded in an AOSP fork, coming with an AOSP install.
- AOSP: Android Open Source Project. The bare-bone of Android maintained by google, currently Open-Source, and forked by many. GrapheneOS, LineageOS, and /e/ are examples of AOSP forks.
- Magisk module: Magisk is the reference open-source Android rooting tool, a Magisk Module is a script leveraging Magisk's root tools to install or tweak a specific app or setting with special permissions. 
- Alpha 1, 2, Beta: We plan two iterations of Alpha development, leading towards a final Beta protocol and root/AOSP applications release.

## Current status:

Protocol Alpha 1 => DryBox

App => 85% done

Kotlin Lib => 75% Alpha 1 done

Partnerships => Communication engaged

## Remaining steps:

- Design and test Protocol Alpha 2
- Finish Alpha 1 Lib's implementation
- Implement Root-app Alpha 1
- Streamline Root-app tests
- Develop at least one AOSP fork partnership
- AOSP forks' local AOSP-app implementation
- AOSP forks' partnership AOSP-app implementation
- Magisk Root-app module self-hosted or official deployment


---

# Plan

Our plan is defined with monthly granularity.

Every month, a recap will be published on Telegram and Reddit about the achieved goals, suprises, and feeling on next month's goal.

- ### September & October

  - Finish Alpha 1 lib's and Root-app implementation
  - App features & UI improvements
  - Streamlined Root-app tests

- ### November

  - Magisk Root-app module
  - Drybox features improvements
  - Alpha 2 theory and Drybox testing

- ### December

  - AOSP forks' local app implementation (AOSP-app)
  - App features & UI improvements
  - IF APPLICABLE: AOSP fork real partnership (i.e GrapheneOS, LineageOS, /e/, etc...)

- ### January

  - Root-app & AOSP-app Alpha 2 implementation
  - Entire code audit and Beta Release preparation
  - Enhancement from "Alpha 2" to Beta

- ### February

  - Website and community Beta Release preparation
  - Official Beta Release event: Root-app and AOSP-app APK Alpha APK publication